Desktop/esus-1/routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', App\Http\Livewire\Index::class)->name('homepage');
Route::get('/verify-certificate/{uuid}', App\Http\Livewire\Public\CertificateVerification::class)->name('verify-certificate');
Route::get('/verify-certificate', App\Http\Livewire\Public\CertificateIndex::class)->name('verify-certificate-index');
Route::post('forgot-password', [\App\Actions\Fortify\ResetPassword::class,'store'])->name('password.email');
Route::middleware(['middleware' => 'auth'])->get('/dashboard', function () {
//    return view('dashboard');
    return redirect('/profile');
})->name('dashboard');
Route::get('/need-complete-registration',function () {
    return view('errors.complete-registration');
})->name('errors.complete-registration');
Route::get('join-group/{uuid}', \App\Http\Livewire\Profile\JoinGroup::class)->middleware('user.complete.fill')->name('join-group');

Route::group(['middleware' => 'auth'], function () {
    Route::get('profile',\App\Http\Livewire\Profile\UserController::class)->name('user.profile');
    Route::get('profile/edit',\App\Http\Livewire\Profile\Users\UsersEdit::class)->name('user.profile.edit');
    Route::get('profile/orders/{id?}',\App\Http\Livewire\Profile\Orders::class)->name('user.orders.list')->where('id', '[0-9]+');
    Route::get('user/profile', function () {return redirect('profile');})->name('profile.show');
});

Route::group(['middleware' => ['auth','user.complete.fill']], function () {
    Route::get('messages',\App\Http\Livewire\Profile\MessagesList::class)->name('messages.list');
    Route::get('groups/active',\App\Http\Livewire\Profile\Groups\Active::class)->name('user.groups.active');
    Route::get('groups/archive',\App\Http\Livewire\Profile\Groups\Archive::class)->name('user.groups.archive');
    Route::get('group/{slug}',\App\Http\Livewire\Profile\GroupView::class)->name('user.group.view');
});

Route::prefix('trainer')->name('trainer.')->group(function () {
    Route::group(['middleware' => 'auth'], function () {
        Route::get('/', \App\Http\Livewire\Trainer\TrainerProfile::class)->name('profile');
        Route::get('/groups/active', \App\Http\Livewire\Trainer\Groups\Active::class)->name('groups.active');
        Route::get('/groups/archive', \App\Http\Livewire\Trainer\Groups\Archive::class)->name('groups.archive');
        Route::get('/group/{slug}', \App\Http\Livewire\Trainer\Groups\GroupsView::class)->name('groups.view');
        Route::get('/group/{slug}/statements', \App\Http\Livewire\Trainer\Groups\StatementsView::class)->name('groups.statements');
        Route::get('/programs/{id}', \App\Http\Livewire\Trainer\Programs\ProgramsView::class)->name('programs.view');
    });
});

//Route::prefix('affiliate')->name('affiliate.')->group(function () {
//    Route::group(['middleware' => 'auth'], function () {
//        Route::get('/', function () { return redirect('/affiliate/messages');})->name('index');
//        Route::get('/trainers', \App\Http\Livewire\Affiliate\Trainers\TrainersList::class)->name('trainers.index');
//        Route::get('/groups', \App\Http\Livewire\Affiliate\Groups\GroupsList::class)->name('groups.index');
//        Route::get('/schedule', \App\Http\Livewire\Affiliate\Schedule\ScheduleList::class)->name('schedule.index');
//        Route::get('/messages', \App\Http\Livewire\Affiliate\Messages\MessagesList::class)->name('messages.index');
//        Route::get('/grants', \App\Http\Livewire\Affiliate\Grants\GrantsList::class)->name('grants.index');
//    });
//});

Route::prefix('oop')->name('oop.')->group(function () {
    Route::group(['middleware' => 'auth'], function () {
        Route::get('/', function () { return redirect('/oop/courses');})->name('index');
        Route::get('/courses', \App\Http\Livewire\Oop\Courses\CoursesIndex::class)->name('courses.index');
        Route::get('/courses/create', \App\Http\Livewire\Oop\Courses\CoursesEdit::class)->name('courses.create');
        Route::get('/courses/{id}/edit', \App\Http\Livewire\Oop\Courses\CoursesEdit::class)->name('courses.edit');
        Route::get('/grants', \App\Http\Livewire\Oop\Grants\GrantsIndex::class)->name('grants.index');
        Route::get('/grants/{id}/show', \App\Http\Livewire\Oop\Grants\GrantsShow::class)->name('grants.show');
        Route::get('/trainers', \App\Http\Livewire\Oop\Trainers\TrainersIndex::class)->name('trainers.index');
        Route::get('/trainers/{id}/show', \App\Http\Livewire\Oop\Trainers\TrainersShow::class)->name('trainers.show');
    });
});

Route::prefix('omr')->name('omr.')->group(function () {
    Route::group(['middleware' => 'auth'], function () {
        Route::get('/', function () { return redirect('/omr/trainers');})->name('index');
        Route::get('/trainers', \App\Http\Livewire\Omr\Trainers\TrainersIndex::class)->name('trainers.index');
        Route::get('/trainers/create', \App\Http\Livewire\Omr\Trainers\TrainersEdit::class)->name('trainers.create');
        Route::get('/trainers/{id}/edit', \App\Http\Livewire\Omr\Trainers\TrainersEdit::class)->name('trainers.edit');
        Route::get('/grants', \App\Http\Livewire\Omr\Grants\GrantsIndex::class)->name('grants.index');
        Route::get('/grants/{id}/show', \App\Http\Livewire\Omr\Grants\GrantsShow::class)->name('grants.show');
        Route::get('/courses', \App\Http\Livewire\Omr\Courses\CoursesIndex::class)->name('courses.index');
        Route::get('/courses/{id}/show', \App\Http\Livewire\Omr\Courses\CoursesShow::class)->name('courses.show');
        Route::get('/schedule', \App\Http\Livewire\Omr\Schedule\ScheduleIndex::class)->name('schedule.index');
        Route::get('/groups', \App\Http\Livewire\Omr\Groups\GroupsIndex::class)->name('groups.index');
        Route::get('/groups/create', \App\Http\Livewire\Omr\Groups\GroupsEdit::class)->name('groups.create');
        Route::get('/groups/{id}/edit', \App\Http\Livewire\Omr\Groups\GroupsEdit::class)->name('groups.edit');

    });
});

Route::prefix('ooup')->name('ooup.')->group(function () {
    Route::group(['middleware' => 'auth'], function () {
        Route::get('/', function () { return redirect('/ooup/groups');})->name('index');
        Route::get('/years', \App\Http\Livewire\Ooup\Years\YearsIndex::class)->name('years.index');
        Route::get('/courses', \App\Http\Livewire\Ooup\Courses\CoursesIndex::class)->name('courses.index');
        Route::get('/courses/{id}/show', \App\Http\Livewire\Ooup\Courses\CoursesShow::class)->name('courses.show');
        Route::get('/grants', \App\Http\Livewire\Ooup\Grants\GrantsIndex::class)->name('grants.index');
        Route::get('/grants/{grant}', \App\Http\Livewire\Ooup\Grants\GrantsEdit::class)->name('grants.edit');
        Route::get('/trainers', \App\Http\Livewire\Ooup\Trainers\TrainersIndex::class)->name('trainers.index');
        Route::get('/trainers/{id}/show', \App\Http\Livewire\Ooup\Trainers\TrainersShow::class)->name('trainers.show');
        Route::get('/groups', \App\Http\Livewire\Ooup\Groups\GroupsIndex::class)->name('groups.index');
        Route::get('/groups/create', \App\Http\Livewire\Ooup\Groups\GroupsEdit::class)->name('groups.create');
        Route::get('/groups/{id}/edit', \App\Http\Livewire\Ooup\Groups\GroupsEdit::class)->name('groups.edit');
        Route::get('/groups/{slug}/statements', \App\Http\Livewire\Ooup\Groups\StatementsView::class)->name('groups.statements');
        Route::get('groups/{id}/certificates', \App\Http\Livewire\Ooup\Groups\GroupsCertificates::class)->name('groups.certificates');
        Route::get('/weekends', App\Http\Livewire\Ooup\Weekends\WeekendsIndex::class)->name('weekends.index');
        Route::get('/schedule', \App\Http\Livewire\Ooup\Schedule\ScheduleIndex::class)->name('schedule.index');
        Route::get('certificates', \App\Http\Livewire\Ooup\Certificates\CertificatesList::class)->name('certificates.index');
        Route::get('certificates/{id}/show', \App\Http\Livewire\Ooup\Certificates\CertificatesEdit::class)->name('certificates.show');
        Route::get('cert-templates', \App\Http\Livewire\Ooup\Certificates\CertificatesTemplatesList::class)->name('certificates-templates.index');
        Route::get('cert-templates/create', \App\Http\Livewire\Ooup\Certificates\CertificatesTemplatesEdit::class)->name('certificates-templates.create');
        Route::get('cert-templates/{id}/edit', \App\Http\Livewire\Ooup\Certificates\CertificatesTemplatesEdit::class)->name('certificates-templates.edit');
        Route::get('audits', \App\Http\Livewire\Ooup\Audit\AuditIndex::class)->name('audit.index');
        Route::get('audits/{id}', \App\Http\Livewire\Ooup\Audit\AuditView::class)->name('audit.view');
        Route::get('reports', \App\Http\Livewire\Ooup\Reports\ListenersByCourses::class)->name('reports.index');
    });
});

// TODO: Дать имя для `admin` роута и поменять везде
Route::prefix('admin')->name('admin.')->group(function () {
// Route::prefix('admin')->name('')->group(function () {
    Route::group(['middleware' => 'auth'], function () {
        Route::get('/', function () { return redirect('/admin/schedule');})->name('homepage');
        Route::get('audits', \App\Http\Livewire\Admin\Audit\AuditIndex::class)->name('audit.index');
        Route::get('audits/{id}', \App\Http\Livewire\Admin\Audit\AuditView::class)->name('audit.view');
        Route::get('statements', \App\Http\Livewire\Admin\Statements\MessagesIndex::class)->name('statements.index');
        Route::get('statements/{id}', \App\Http\Livewire\Admin\Statements\MessagesEdit::class)->name('statements.edit');

Desktop/esus-1/app/Http/Livewire/Accountant/Audit/AuditIndex.php
<?php

namespace App\Http\Livewire\Accountant\Audit;

use App\Models\AuditReports;
use App\Models\Years;
use App\Traits\ValidateMessages;
use Illuminate\Support\Facades\Gate;
use Livewire\Component;
use Symfony\Component\HttpFoundation\Response;

class AuditIndex extends Component
{
    public $ipp = 20;
    public $modal_add_new = false;
    public $reporttype;
    public $year;

    public function mount()
    {
        abort_if(Gate::denies(\App\Models\Permission::PERMISSION_OOUP), Response::HTTP_FORBIDDEN, '403 Ошибка доступа ');
    }

    public function render()
    {
        $audits = AuditReports::query();
        $audits = $this->applyFilter($audits);
        return view('livewire.accountant.audit.audit-index',[
            'audits' => $audits->paginate($this->ipp),
        ])->layout('layouts.accountant');
    }

    private function applyFilter(\Illuminate\Database\Eloquent\Builder $item)
    {
        $item = $item->orderBy('created_at','DESC');
        $item = $item->with('userItem');
        return $item;
    }

    public function destroy($id)
    {
        AuditReports::find($id)->delete();
    }



    public function add_new()
    {
        $this->modal_add_new = true;
    }
    use ValidateMessages;
    public function add_report()
    {
        $this->validate([
            'reporttype' => 'required|integer',
            'year' => 'required|integer',
        ]);
        $auditReport = new AuditReports();
        $auditReport->year = $this->year;
        $auditReport->type = $this->reporttype;
        $auditReport->user = auth()->user()->id;
        $auditReport->save();
        $this->modal_add_new = false;
    }
}

Desktop/esus-1/app/Http/Livewire/Accountant/Audit/AuditView.php
<?php

namespace App\Http\Livewire\Accountant\Audit;

use App\Models\AuditReports;
use App\Models\Languages;
use Illuminate\Support\Facades\Gate;
use Livewire\Component;
use Symfony\Component\HttpFoundation\Response;

class AuditView extends Component
{
    private $audit;
    private $languages;
    public function mount($id)
    {
        abort_if(Gate::denies(\App\Models\Permission::PERMISSION_OOUP), Response::HTTP_FORBIDDEN, '403 Ошибка доступа ');

        $this->audit = AuditReports::where('id', $id)->first();
        $this->languages = Languages::all();
    }
    public function render()
    {
        if ($this->audit->status == AuditReports::AUDIT_REPORT_STATUS_FINISHED) {
            if ($this->audit->type == AuditReports::AUDIT_REPORT_TYPE_COURSES) {
                return view('livewire.accountant.audit.audit-view-courses', [
                    'audit' => json_decode($this->audit->data, true),
                    'year' => $this->audit->year,
                    'languages' => $this->languages,
                ])->layout('layouts.accountant');
            } elseif($this->audit->type == AuditReports::AUDIT_REPORT_TYPE_GROUPS) {
                return view('livewire.accountant.audit.audit-view-groups', [
                    'audit' => json_decode($this->audit->data, true),
                    'year' => $this->audit->year,
                    'languages' => $this->languages,
                ])->layout('layouts.accountant');
            } elseif($this->audit->type == AuditReports::AUDIT_REPORT_TYPE_LISTENERS) {
                return view('livewire.accountant.audit.audit-view-listeners', [
                    'audit' => json_decode($this->audit->data, true),
                    'year' => $this->audit->year,
                    'languages' => $this->languages,
                ])->layout('layouts.accountant');
            }
        } else {
            return view('livewire.accountant.audit.audit-not-ready', [
                'type' => $this->audit->type,
                'year' => $this->audit->year,
            ])->layout('layouts.accountant');
        }
    }
}

Desktop/esus-1/app/Http/Livewire/Accountant/Certificates/CertificatesEdit.php
<?php

namespace App\Http\Livewire\Accountant\Certificates;

use App\Models\Certificates;
use Illuminate\Support\Facades\Gate;
use Livewire\Component;
use Symfony\Component\HttpFoundation\Response;

class CertificatesEdit extends Component
{
    public $certificate;
    public function mount($id = null)
    {
        abort_if(Gate::denies(\App\Models\Permission::PERMISSION_OOUP), Response::HTTP_FORBIDDEN, '403 Ошибка доступа ');
        $this->certificate = Certificates::where('id',$id)->first();
        if (!$this->certificate) abort(404);

    }

    public function render()
    {
        return view('livewire.accountant.certificates.certificates-edit')->layout('layouts.accountant');
    }
}

Desktop/esus-1/app/Http/Livewire/Accountant/Certificates/CertificatesList.php
<?php

namespace App\Http\Livewire\Accountant\Certificates;

use App\Models\Certificates;
use Illuminate\Support\Facades\Gate;
use Livewire\Component;
use Livewire\WithPagination;
use Symfony\Component\HttpFoundation\Response;

class CertificatesList extends Component
{
    use WithPagination;
    public $ipp = 20;

    public function mount()
    {
        abort_if(Gate::denies(\App\Models\Permission::PERMISSION_OOUP), Response::HTTP_FORBIDDEN, '403 Ошибка доступа ');
    }
    public function render()
    {
        $item = Certificates::query();
        $item = $this->applySearch($item);
        return view('livewire.accountant.certificates.certificates-list',[
            'certificates' => $item->paginate($this->ipp),
        ])->layout('layouts.accountant');
    }

    private function applySearch(\Illuminate\Database\Eloquent\Builder $item)
    {
        return $item;
    }
}

Desktop/esus-1/app/Http/Livewire/Accountant/Courses/CoursesIndex.php
<?php

namespace App\Http\Livewire\Accountant\Courses;

use App\Models\Courses;
use Illuminate\Support\Facades\Gate;
use Livewire\Component;
use Livewire\WithPagination;
use Symfony\Component\HttpFoundation\Response;

class CoursesIndex extends Component
{
    use WithPagination;

    public $search;
    public $type = '';
    public $grading = '';

    private $courses;

    protected $queryString = [
        'search' => ['except' => ''],
        'grading' => ['except' => ''],
        'type' => ['except' => ''],

    ];
    use \App\Traits\ValidateMessages;
    private $rules = [
        'search' => 'nullable|string',
        'type' => 'nullable|integer',
        'grading' => 'nullable|integer'
    ];


    public function mount()
    {
        abort_if(Gate::denies(\App\Models\Permission::PERMISSION_OOUP), Response::HTTP_FORBIDDEN, '403 Ошибка доступа ');
//        $this->applyFilter();
    }

    public function applyFilter()
    {
        $this->resetPage();
    }


    public function render()
    {
        $this->courses = Courses::query();
        $this->courses = $this->applySearch($this->courses)->paginate();
        return view('livewire.accountant.courses.courses-index',[
            'courses' => $this->courses,
        ])->layout('layouts.accountant');
    }

    private function applySearch(\Illuminate\Database\Eloquent\Builder $item)
    {
        if ($this->search) {
            $search = '%' . $this->search . '%';
            $item = $item->where(function ($query) use ($search) {
                $query->where('kz_title', 'LIKE', $search)
                    ->orWhere('ru_title', 'LIKE', $search)
                ;
            });
        }

        if ($this->type != '') {
            $item = $item->where('type', $this->type);
        }

        if ($this->grading != '')
        {
            $item = $item->where('grading', $this->grading);
        }

        return $item;
    }
}

Desktop/esus-1/resources/views/livewire/grants/edit_total_grants.blade.php
<div>
    <x-modal>
        <x-slot name="header">
            <div class="flex justify-between mb-3">
            <span>{{ __('admin.grants.modal.count.title') }}</span>
            <button wire:click="$set('showModalEdittotalgrants',false)">
                <svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="times" class="svg-inline--fa fa-times fa-w-11 w-4 h-4" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 352 512"><path fill="currentColor" d="M242.72 256l100.07-100.07c12.28-12.28 12.28-32.19 0-44.48l-22.24-22.24c-12.28-12.28-32.19-12.28-44.48 0L176 189.28 75.93 89.21c-12.28-12.28-32.19-12.28-44.48 0L9.21 111.45c-12.28 12.28-12.28 32.19 0 44.48L109.28 256 9.21 356.07c-12.28 12.28-12.28 32.19 0 44.48l22.24 22.24c12.28 12.28 32.2 12.28 44.48 0L176 322.72l100.07 100.07c12.28 12.28 32.2 12.28 44.48 0l22.24-22.24c12.28-12.28 12.28-32.19 0-44.48L242.72 256z"></path></svg>
            </button>
        </x-slot>
        <div class="flex flex-col items-start md:items-center w-full md:w-3/4 mx-auto space-y-4">
            <div class="flex flex-col md:flex-row w-full md:space-x-4 md:items-center">
                <div class="w-full md:w-1/4">
                    <label for="grants_all_count" class="w-full text-left md:text-right block text-sm">{{ __('admin.grants.modal.count.program') }}</label>
                </div>
                <div class="w-full md:w-3/4">
                    <input wire:model="grants_all_count" type="text" id="grants_all_count"
                         placeholder="{{ __('admin.grants.modal.count.program.placeholder') }}"  class="w-full md:w-3/4 px-3 py-1 border rounded focus:border-blue-500 hover:border-blue-500 text-sm outline-none focus:input-shadow"
                    />
                    @error('grants_all_count')
                    <p class="text-xs text-red-600">{{ $message }}</p>
                    @enderror
                </div>
            </div>
            <div class="flex flex-col md:flex-row w-full md:space-x-4 md:items-center">
                <div class="w-full md:w-1/4">
                </div>
                <div class="w-full md:w-3/4 space-x-2 flex">
                    <button type="submit" wire:click="store_grants_all_count()"
                            class="mb-2 text-sm flex justify-center items-center px-4 py-1 border-0 bg-blue-500 text-white rounded hover:bg-blue-600">
                        {{ __('admin.buttons.save') }}
                    </button>
                    <button wire:click="$set('showModalEdittotalgrants',false)"
                            class="py-1 px-4 border inline-block m-0 mb-2 text-sm rounded hover:border-black">{{ __('admin.buttons.cancel') }}
                    </button>
                </div>
            </div>
        </div>
    </x-modal>
</div>

Desktop/esus-1/resources/views/livewire/grants/grant-edit-controller.blade.php
<div>
    <x-slot name="header">
        <div class="bg-white mx-auto py-6 px-4 sm:px-6 lg:px-8">
            <h2 class="font-semibold text-xl text-gray-800 leading-tight">
                {{ __('admin.grants.edit.title', ['program' => $grant->coursesItem->ru_title, 'year' => $year]) }}
            </h2>
        </div>
    </x-slot>
    <div class="py-6 px-4 sm:px-6 lg:px-8">
        <div class="flex flex-col space-y-4">
            <div class="flex justify-between items-center">
                <div class="flex flex-row space-x-10">
                    <div class="flex flex-col justify-end">
                        <span class="font-[500] text-[24px]">{{ __('admin.grants.edit.period') }}</span>
                    </div>
                    <div class="flex flex-col">
                        <label class="flex flex-col text-left">
                            <span class="text-gray-700 mb-2">{{ __('admin.grants.edit.start') }}</span>
                            <x-inputs.date id="start" wire:model.defer="start"/>
                            @error('start')
                            <p class="text-xs text-red-600">{{ $message }}</p>
                            @enderror
                        </label>
                    </div>

                    <div class="flex flex-col">
                        <label class="flex flex-col text-left">
                            <span class="text-gray-700 mb-2">{{ __('admin.grants.edit.end') }}</span>
                            <x-inputs.date id="end" wire:model.defer="end"/>
                            @error('end')
                            <p class="text-xs text-red-600">{{ $message }}</p>
                            @enderror
                        </label>
                    </div>
                    <div class="flex flex-col justify-end">
                        <button wire:click="save"
                                class="text-sm flex justify-center items-center px-4 py-1 border-0 bg-blue-500 text-white rounded hover:bg-blue-600">
                            <span>{{ __('admin.buttons.accept') }}</span>
                        </button>
                    </div>
                </div>
            </div>
            <div class="w-full h-px bg-gray-200"></div>
            <div class="-my-2 overflow-x-auto sm:-mx-6 lg:-mx-8">
                <div class="py-2 align-middle inline-block min-w-full sm:px-6 lg:px-8">
                    <div class="shadow overflow-hidden border-b border-gray-200 sm:rounded">
                        <table class="min-w-full divide-y divide-gray-200 w-full">
                            <thead>
                            <tr>
                                <th scope="col"
                                    class="px-2 py-3 bg-gray-50 text-left text-sm font-medium text-gray-800">
                                    <div class="pl-4">{{ __('admin.table.head.affiliatetitle') }}</div>
                                </th>
                                <th scope="col"
                                    class="px-2 py-3 bg-gray-50 text-left text-sm font-medium text-gray-800">
                                    <div class="pl-4 border-l border-gray-200">{{ __('admin.table.head.count.listener') }}</div>
                                </th>
                                @foreach(\App\Models\Languages::all() as $lang)
                                    <th scope="col"
                                        class="px-2 py-3 bg-gray-50 text-left text-sm font-medium text-gray-800">
                                        <div class="pl-4 border-l border-gray-200">{{ __('admin.table.head.count.listener') }} ({{ $lang->title }})
                                        </div>
                                    </th>
                                @endforeach
                                <th scope="col" width="200"
                                    class="px-2 py-3 bg-gray-50 text-left text-sm font-medium text-gray-800">
                                    <div class="pl-4 border-l border-gray-200">{{ __('admin.table.head.action') }}</div>
                                </th>
                            </tr>
                            </thead>
                            <tbody class="bg-white divide-y divide-gray-200">
                            <tr wire:key="{{ $grant->id }}" class="bg-gray-100">
                                <td class="px-6 py-1.5 whitespace-nowrap text-xl text-gray-900 font-bold">
                                    {{ __('admin.grants.edit.table.all.count') }}
                                </td>

                                <td class="px-6 py-1.5 whitespace-nowrap text-xl text-gray-900">
                                    {{ $grant->count_all }}
                                </td>
                                @foreach(\App\Models\Languages::all() as $lang)
                                    <td class="px-6 py-1.5 whitespace-nowrap text-xl text-gray-900">
                                        {{ $grant->countsArray[$lang->slug] ?? 0 }}
                                    </td>
                                @endforeach


                                <td class="px-6 py-1.5 whitespace-nowrap text-xl font-medium space-x-2 text-right">
                                    <button wire:click="edit({{ $grant->id }})"
                                            class="text-blue-500 hover:text-blue-900 m-0 font-normal">{{ __('admin.links.edit2') }}
                                    </button>
                                </td>
                            </tr>
                            @foreach($grants as $item)
                                <tr>
                                    <td class="px-6 py-1.5 whitespace-nowrap text-sm text-gray-900 font-bold">
                                        {{ $item->affiliateItem->title }}
                                    </td>

                                    <td class="px-6 py-1.5 whitespace-nowrap text-sm text-gray-900">
                                        {{ $item->count_all }}
                                    </td>

                                    @foreach(\App\Models\Languages::all() as $lang)
                                        <td class="px-6 py-1.5 whitespace-nowrap text-sm text-gray-900">
                                            {{ $item->countsArray[$lang->slug] ?? 0 }}
                                        </td>
                                    @endforeach

                                    <td class="px-6 py-1.5 whitespace-nowrap text-sm font-medium space-x-2 text-right">
                                        <button wire:click="edit({{ $item->id }})"
                                                class="text-blue-500 hover:text-blue-900 m-0 font-normal">{{ __('admin.links.edit2') }}
                                        </button>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                        <div class="flex flex-col md:flex-row w-full md:space-x-4 md:items-right">
                            <div class="w-full space-x-2 flex m-2 justify-end">
{{--                                <a href="{{ route('admin.grants.index', ['year'=>$year]) }}"--}}
{{--                                   class="text-sm flex px-4 py-1 border-0 bg-blue-500 text-white rounded hover:bg-blue-600">{{ __('admin.buttons.save') }}--}}
{{--                                </a>--}}
                                <a href="{{ route('admin.grants.index', ['year'=>$year]) }}"
                                   class="py-1 px-4 border flex m-0 text-sm rounded hover:border-black">{{ __('admin.buttons.back') }}
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>

    @if($showModalEditgrants)
        @include('livewire.grants.edit_program_by_affiliate_grants')
    @endif

    @if($grant->count_all == 0)
        <script>
            document.addEventListener('livewire:load', function () {
                if ({{ $grant->count_all }} === 0) {
                    @this.edit({{ $grant->id }});
                }
            })
        </script>
    @endif

</div>
@push('scripts')
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>

    <script type="text/javascript">
        document.addEventListener('DOMContentLoaded', function () {
        @this.on('saved', () => {
            Swal.fire({
                title: '{{ __("admin.swal.grants.title.success") }}',
                icon: 'success',
                position: 'top-end',
                width: 600,
                showConfirmButton: false,
                timer: 1000
            });
        });
        })
    </script>

@endpush
@push('styles')
{{--    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/flatpickr/dist/flatpickr.min.css">--}}
{{--    <script src="https://cdn.jsdelivr.net/npm/flatpickr"></script>--}}
{{--    <script src="https://cdn.jsdelivr.net/npm/flatpickr/dist/l10n/ru.js"></script>--}}
@endpush